> ## Documentation Index
> Fetch the complete documentation index at: https://bmpmoneyplus-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 24 - Consult Installments

Through this endpoint, the partner can execute a proposal consultation, obtaining a return of the main fields.

<Expandable title="Messaging - Consult Proposal Installments">
  | Category | Operation        | Action            | Code  | Detailed Code | Message                                   |
  | -------- | ---------------- | ----------------- | ----- | ------------- | ----------------------------------------- |
  | Proposta | PropostaParcelas | ConsultarParcelas | C0112 | V0001         | Proposta não encontrada                   |
  | Proposta | PropostaParcelas | ConsultarParcelas | C0112 | V0002         | A Proposta não pertence à esta Integração |
</Expandable>


## OpenAPI

````yaml post /Proposta/ConsultarParcelas
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.Proposta.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /Proposta/ConsultarParcelas:
    post:
      tags:
        - Proposta
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PropostaParcelasCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/PropostaParcelasCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PropostaParcelasCommand'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PropostaParcelasResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PropostaParcelasResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PropostaParcelasResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            text/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
components:
  schemas:
    PropostaParcelasCommand:
      type: object
      properties:
        dto:
          $ref: '#/components/schemas/FindPropostaDTO'
        parametros:
          type: array
          items:
            $ref: '#/components/schemas/ParametroDTO'
          nullable: true
      additionalProperties: false
    PropostaParcelasResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        parcelas:
          type: array
          items:
            $ref: '#/components/schemas/PropostaParcelaDTO'
          nullable: true
      additionalProperties: false
    ResponseBase:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
      additionalProperties: false
    FindPropostaDTO:
      type: object
      properties:
        codigoProposta:
          type: string
          description: Código identificador da proposta
          format: uuid
          nullable: true
        codigoOperacao:
          type: string
          description: Código da operação do parceiro
          nullable: true
        numeroProposta:
          type: integer
          description: Número sequencial da proposta
          format: int64
          nullable: true
      additionalProperties: false
    ParametroDTO:
      type: object
      properties:
        nome:
          type: string
          description: Refere-se ao nome do parâmetro.
          nullable: true
        valor:
          type: string
          description: Refere-se ao valor do parâmetro.
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        messageType:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          nullable: true
        context:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
      additionalProperties: false
    PropostaParcelaDTO:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        codigo:
          type: string
          format: uuid
        codigoProposta:
          type: integer
          format: int64
        nroParcela:
          type: integer
          format: int32
        dtVencimento:
          type: string
          format: date-time
        vlrParcela:
          type: number
          format: double
        situacao:
          type: integer
          format: int32
        linhaDigitavel:
          type: string
          nullable: true
        dtPagamento:
          type: string
          format: date-time
          nullable: true
        nossoNumero:
          type: string
          nullable: true
        nossoNumeroDv:
          type: string
          nullable: true
        vlrJuros:
          type: number
          format: double
          nullable: true
        vlrJurosMora:
          type: number
          format: double
          nullable: true
        vlrDesconto:
          type: number
          format: double
          nullable: true
        vlrPago:
          type: number
          format: double
          nullable: true
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````